// miniprogram/pages/home/index.js
import {
  httpOrther
} from "../../utils/httpFunc";
const {
  globalData
} = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    iconList: [{
        "text": "何以中国",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/0.png",
        "type": "article_china",
      },
      {
        "text": "日程安排",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/1.png",
        "type": "schedule",
      },
      {
        "text": "图片集锦",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/3.png",
        "type": "image"
      },
      {
        "text": "精彩视频",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/4.png",
        "type": "video"
      },
      {
        "text": "媒体聚焦",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/5.png",
        "type": "article_media",
      },
      {
        "text": "蓝直播",
        "url": "https://cxzx.smcic.net/topic/Applets/shengshizhongguo/2.png",
        "type": "live"
      }
    ],
    headTitle: ""
  },
  activity: "",
  clickFunc(data) {
    const index = data.currentTarget.dataset.index;
    const item = this.data.iconList[index];
    let url = ""
    if (!item.type) return;
    const parames = `?title=${item.text}&activity=${this.activity}`
    switch (item.type) {
      case 'live':
        url = '/pages/livelist/index' + parames + "&mediaType=" + item.type;
        break;
      case 'image':
      case 'video':
        url = '/pages/mediaController/index' + parames + "&mediaType=" + item.type;
        break;
      case "schedule":
        url = '/pages/schedule/index' + parames + '&noToday=1';
        break;
      case "article_china":
      case "article_media":
        url = '/pages/articleList/index' + parames + '&type=' + item.type;
        break;
      default:
        url = '/pages/detail/detail' + parames + "&id=" + item.id;
        break;
    }
    wx.navigateTo({
      url
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.title) {
      this.activity = decodeURIComponent(options.title)
      wx.setNavigationBarTitle({
        title: this.activity
      });
    }
    this.setData({
      headTitle: options.introduction || '',
      headImage: options.theme || ''
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    wx.hideHomeButton()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: "", // 分享名称
      path: 'pages/home/index', // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  }

})